@font-face {
    font-family: 'Source Code Pro';
    src: url("_fonts/Source_Code_Pro/SourceCodePro-VariableFont_wght.ttf");
    font-display: swap;
}

@font-face {
    font-family: 'Bitter';
    src: url("_fonts/Bitter/Bitter-VariableFont_wght.ttf");
    font-display: swap;
}

html {
    scroll-behavior: smooth;
}

:root {
    --primary_color: #D61153;
    --primary_color_light: #FEF2F6;
    --secondary_color_dark: #11D694;
    --secondary_color: #F2FEFA;
    --primary_font: 'Bitter', serif;
    --secondary_font: 'Source Code Pro', monospace;
}

* {
    margin: 0;
    border: none;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    color: #444;
    outline: none;
    transition: 400ms;
}

body {
    background: var(--secondary_color);
    justify-content: center;
    display: grid;
    gap: 40px;
    font-family: var(--secondary_font);
    font-size: 15px;
    overflow: scroll;
}

h1 {
    font-size: 35px;
}

h2 {
    font-size: 30px;
}

h3 {
    font-size: 25px;
}

h1,
h2,
h3 {
    font-family: var(--primary_font);
    color: var(--primary_color);
}

img {
    object-fit: contain;
}

p {
    line-height: 25px;
}

::selection {
    background: var(--primary_color);
    color: var(--secondary_color);
}

header,
main,
footer {
    width: clamp(0px, 1000px, 90vw);
}

header {
    position: fixed;
    z-index: 1;
    justify-self: center;
}

header {
    height: 75px;
    background: var(--secondary_color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-bottom: 10px;
    border-bottom: var(--primary_color) 4px solid;
    box-shadow: 0px 5px 2px -2px hsla(0, 0%, 50%, .5);
}

header h1 {
    width: 300px;
}

header nav {
    width: clamp(0px, 100%, 400px);
    display: flex;
    justify-content: space-between;
    font-size: clamp(0px, 17px, 5vw);
}

.gallery {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    animation: fade_in 2s;
}

@keyframes fade_in {

    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

main {
    padding-top: 95px;
}

.home {
    display: grid;
    justify-content: center;
    gap: 30px;
}

.home h2 {
    justify-self: center;
    width: fit-content;
    background: linear-gradient(45deg, var(--primary_color), #f26192, var(--primary_color));
    color: transparent;
    background-clip: text;
    -webkit-background-clip: text;
    font-size: clamp(0px, 4em, 15vw);
    letter-spacing: 5px;
}

.home section:nth-child(3) {
    display: grid;
    gap: 10px;
    font-size: 1.2em;
}

.home section:nth-child(3) span {
    font-weight: 700;
}

.home section:nth-child(3) .react {
    color: #5ed3f3;
}

.home section:nth-child(3) .gatsby {
    color: #67339a;
}

.home section:nth-child(3) .vue {
    background: url(https://upload.wikimedia.org/wikipedia/commons/thumb/9/95/Vue.js_Logo_2.svg/512px-Vue.js_Logo_2.svg.png?20170919082558) center 53%;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.home section:nth-child(3) .svelte {
    color: #f73c00;
}

.home section:nth-child(3) .vite {
    background: linear-gradient(135deg, #47c9ff, #bd34fe);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.home section:nth-child(3) .rust {
    background: url(https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fs-media-cache-ak0.pinimg.com%2Foriginals%2F9e%2F7e%2Fab%2F9e7eab2785532fc8cbec6c3fe8050826.jpg&f=1&nofb=1&ipt=ebd794467e4ceee12e71606b8944e84b898f95407221655f0b0b26c51ece4044&ipo=images) center 53%;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.not-home {
    display: grid;
    gap: 20px;
}

.not-home h2 {
    text-align: center;
}

.not-home input[type="search"] {
    justify-self: center;
    width: clamp(0px, 700px, 90vw);
    height: 50px;
    border-radius: 10px;
    padding: 0px 20px;
    font-size: 15px;
    box-shadow: 0px 4px 4px lightgray;
}

.not-home input[type="search"]:focus {
    border: .25px solid lightgray;
}

.not-home #projects,
.not-home #articles {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.not-home #projects {
    gap: 17px;
}

.not-home #projects .project {
    width: clamp(0px, 320px, 90vw);
    border-radius: 10px;
    background: var(--primary_color_light);
    padding: 10px;
    display: grid;
    gap: 7.5px;
    box-shadow: 0px 3px 3px lightgray;
}

.not-home #projects .project h3 {
    height: 60px;
    overflow-y: auto;
    text-transform: uppercase;
}

.not-home #projects .project hr {
    height: 1px;
    background: lightgray;
}

.not-home #projects .project .desc {
    height: 162.5px;
    overflow-y: auto;
}

.not-home #articles {
    gap: 20px;
}

.not-home #articles .article {
    border-radius: 10px;
    background: var(--primary_color_light);
    padding: 15px;
    display: grid;
    gap: 10px;
    box-shadow: 0px 3px 3px lightgray;
}

.not-home #articles .article h3 {
    text-transform: uppercase;
}

.not-home #projects .project a,
.not-home #articles .article a {
    width: 300px;
    height: 50px;
    border-radius: 5px;
    background: var(--primary_color);
    display: grid;
    align-items: center;
    text-align: center;
    color: var(--secondary_color);
    font-weight: bold;
    box-shadow: 0px 2px 2px lightgray;
}

.not-home #projects .project a:hover,
.not-home #articles .article a:hover {
    background: var(--secondary_color_dark);
    color: var(--primary_color_light);
    text-shadow: 0px 1px 2px #444;
}

footer {
    display: grid;
    justify-content: center;
    gap: 10px;
    text-align: center;
}

footer .gallery {
    grid-row-gap: 0;
}

@media screen and (min-width: 1000px) {
    header {
        padding-bottom: 0px;
    }

    .home {
        grid-template:
            "a c" auto
            "b c" auto;
    }

    .home h2 {
        justify-self: flex-start;
    }

    .home section:nth-child(2) {
        grid-row: span 2;
        justify-content: right;
        align-self: center;
    }

    .not-home #projects .project {
        width: 320px;
    }
}